View Issue Details

IDProjectCategoryLast Update
0019164AI War 2[All Projects] Graphical BugJul 2, 2017 1:32 pm
ReporterBadgerBadgerAssigned ToCinth 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.400 Usability and the GUI Pipeline 
Fixed in Version0.501 Test And Revise Pass #1 
Summary0019164: fortress icon flickers weirdly
DescriptionWhen you build a fortress, the icon can sometimes flicker really weirdly, especially as you change zoom levels when almost entirely zoomed out.

Also, there seems to be no level of zoom that lets you take a really good look at the structure, which is too bad because it looks awesome.
TagsNo tags attached.

Activities

BadgerBadger

Jun 6, 2017 11:38 pm

reporter  

NewSave_1.save (1,192,858 bytes)

BadgerBadger

Jun 6, 2017 11:38 pm

reporter  

fortress.png (953,465 bytes)

x4000Bughunter

Jun 12, 2017 3:50 pm

administrator   ~0046276

For the level of zoom thing:

* The very low end of the camera zoom now has a few more gradations where it shows more of a side-facing view, and then the very lowest zoom level actually looks back UP slightly, allowing you to see tall ships and structures better, and in general get a little more cinematic of a view. This has no effect on the higher zooms.

x4000Bughunter

Jun 19, 2017 8:30 pm

administrator   ~0046298

@BadgerBadger: Is this still happening?

If it is, then @Cinth we need to have the gimbal y offset raised up. The savegame here would let you test that.

BadgerBadger

Jun 20, 2017 2:27 pm

reporter   ~0046331

Still happening on .401

Cinth

Jul 2, 2017 12:20 pm

manager   ~0046369

Added the attribute " y_offset_of_icon="20" " to the fortress xml entry

It seems to have helped the flickering

Issue History

Date Modified Username Field Change
Jun 6, 2017 11:38 pm BadgerBadger New Issue
Jun 6, 2017 11:38 pm BadgerBadger File Added: NewSave_1.save
Jun 6, 2017 11:38 pm BadgerBadger File Added: fortress.png
Jun 12, 2017 3:50 pm x4000Bughunter Note Added: 0046276
Jun 19, 2017 8:29 pm x4000Bughunter Assigned To => Cinth
Jun 19, 2017 8:29 pm x4000Bughunter Status new => assigned
Jun 19, 2017 8:30 pm x4000Bughunter Note Added: 0046298
Jun 20, 2017 2:27 pm BadgerBadger Note Added: 0046331
Jul 2, 2017 12:20 pm Cinth Note Added: 0046369
Jul 2, 2017 1:32 pm Cinth Status assigned => resolved
Jul 2, 2017 1:32 pm Cinth Resolution open => fixed
Jul 2, 2017 1:32 pm Cinth Fixed in Version => 0.501 Test And Revise Pass 0000001